<?php
session_start();    
    
require('../../conexion.php');

$pdn_id   = $_POST['id'];
$id_usuario = $_SESSION['cveUsuario'];
$status = $_POST['status'];
$receta = $_POST['receta'];
$cantidad = $_POST['cantidad'];

try {
    if($status == 'cancelado'){
        query("UPDATE productos_nota SET pdn_estatus='eliminado', id_cocinero = '$id_usuario' WHERE id='$pdn_id' AND pdn_estatus IN ('cancelado');");
    }else{
        query("UPDATE productos_nota SET pdn_estatus='terminado', id_cocinero = '$id_usuario' WHERE id='$pdn_id' AND pdn_estatus NOT IN ('cancelado');");
        if($receta>0){
            query("UPDATE materia_prima mt SET mt.map_existencia = mt.map_existencia-((SELECT rem_entrada*$cantidad from receta_materia_prima rec where rec.map_id = mt.id and rec_id = '$receta' and rem_estatus='alto' limit 1)) where id in (SELECT map_id from receta_materia_prima where rec_id ='$receta' and rem_estatus='alto') and map_estatus='alta'");
        }
    }
    /* $query= query("UPDATE productos_nota SET pdn_comensal = '$comensal' where id_nota_venta = $id_nota;"); */
    echo $pdn_id;
} catch (Exception $e) {
    echo $e;
}
?>